// zstage.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"
#include "tmcl.h"

int main(int argc, char* argv[])
{
	/* Parse arguments */
	char *commport;
	int offset;

	if ((argc == 3) && (sscanf(argv[2], "%d", &offset) == 1))
	{
		commport = argv[1];
		return tmclMove(commport, offset);
	}
	else
	{
		printf("Usage: %s comport offset\n", argv[0]);
        printf("  comport = COM0, COM1, ...\n");
        printf("  offset = -8388608 to +8388607\n"); /* -2**23 to +2**23 - 1 */
        printf("Example:\n");
        printf("  %s COM1 -1000\n", argv[0]);
        return -1;
	}

	return 0;
}

